#
# spec file for package edid-decode
#
# Copyright (c) 2016-2021 SUSE LLC
# Copyright (c) 2013-2023 Guillaume GARDET <guillaume@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#



Name:           edid-decode
Version:        0.0~git20231123.d6d86cb
Release:        1.2
Summary:        EDID decoder and conformance tester
Group:          Hardware/Other
Url:            https://git.linuxtv.org/edid-decode.git/about/
Source:         %{name}-%{version}.tar.xz
License:        GPL-2.0+
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Decodes to text the binary EDID information from monitors.
EDID is binary data encoded in the monitor firmware, which the kernel exposes via /sys/devices/.../drm/card*/card*/edid. edid-decode renders this binary data into a human-readable text form.


%prep
%setup -q

%build
%make_build

%install
%make_install


%files
%{_bindir}/edid-decode
%{_mandir}/man1/edid-decode.1.gz


%changelog
* Thu Nov 23 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Clean-up spec file
- Add _service to ease updates
- Update to latest git head d6d86cb (0.0~git20231123.d6d86cb)
* Wed Jan 27 2021 Petr Vorel <pvorel@suse.cz>
- Update to latest git head 770cfb9 (0.0~git20210119.770cfb9)
- Use tar.xz compression for tarball
- Change version semantic
* Wed Jan  8 2020 Christian Prause <42@wonko.de>
- Upstream Project moved to https://git.linuxtv.org/edid-decode.git/
  Update to 2019-12-09
  (git commit e719d04077d098eb51d9494f41060eba2419d4bc)
* Tue Jun 12 2018 guillaume.gardet@opensuse.org
- Update to 2018-03-07
  (git commit dcc8b8346ee4bb541c0637f3cb38349296231616)
* Mon Oct 31 2016 aloisio@gmx.com
- Update to version 2016.07.15
  (git commit c72db881557ba5d3546e9a4a0c85184ed3b4dbc1)
* Wed Mar 12 2014 guillaume@opensuse.org
- Update to 2014.01.29 (git dae1c4b8a34af08303ac9b551c36b16b161623e8)
* Thu Mar 21 2013 guillaume@opensuse.org
- Update URL
* Thu Mar  7 2013 guillaume@opensuse.org
- Initial release: 2012-09-26 (git d4c2df5327841dbd55bb3c9fcd6bc67a382905ae)
